Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ServerRequestInterceptor_List Class Reference

Encapsulation for a list of server request interceptors. More...

`#include <Interceptor_List.h>`

Inheritance diagram for TAO_ServerRequestInterceptor_List

[legend]
Collaboration diagram for TAO_ServerRequestInterceptor_List:

[legend]
List of all members.

## Public Types
typedef ACE_Array_Base<PortableInterceptor::ServerRequestInterceptor_ptr> | TYPE
| Define a trait for the underlying portable interceptor array.
## Public Methods
| TAO_ServerRequestInterceptor_List (void)
| Constructor.
| ~TAO_ServerRequestInterceptor_List (void)
| Destructor.
void | add_interceptor (PortableInterceptor::ServerRequestInterceptor_ptr i, CORBA::Environment &ACE_TRY_ENV)
| Register a server request interceptor.
TYPE& | interceptors (void)
| Return reference to the underlying Portable Interceptor array.
## Protected Methods
virtual size_t | length (void)
| Return the length of the underlying interceptor array.
virtual void | length (size_t)
| Set the length of the underlying interceptor array.
virtual PortableInterceptor::Interceptor_ptr | interceptor (size_t)
| Return the interceptor in array element <index>.
## Private Attributes
TYPE | interceptors_
| Dynamic array of registered server request interceptors.

## Detailed Description

Encapsulation for a list of server request interceptors.

## Member Typedef Documentation

typedef ACE_Array_Base<PortableInterceptor::ServerRequestInterceptor_ptr> TAO_ServerRequestInterceptor_List::TYPE

| Define a trait for the underlying portable interceptor array.

## Constructor & Destructor Documentation

TAO_ServerRequestInterceptor_List::TAO_ServerRequestInterceptor_List ( | void )

| Constructor.

TAO_ServerRequestInterceptor_List::~TAO_ServerRequestInterceptor_List ( | void )

| Destructor.

## Member Function Documentation

void TAO_ServerRequestInterceptor_List::add_interceptor ( | PortableInterceptor::ServerRequestInterceptor_ptr i,
| CORBA::Environment & ACE_TRY_ENV )

| Register a server request interceptor.

PortableInterceptor::Interceptor_ptr TAO_ServerRequestInterceptor_List::interceptor ( | size_t index )`[protected, virtual]`

| Return the interceptor in array element <index>.

TYPE & TAO_ServerRequestInterceptor_List::interceptors ( | void )

| Return reference to the underlying Portable Interceptor array.

void TAO_ServerRequestInterceptor_List::length ( | size_t len )`[protected, virtual]`

| Set the length of the underlying interceptor array.

size_t TAO_ServerRequestInterceptor_List::length ( | void )`[protected, virtual]`

| Return the length of the underlying interceptor array.

## Member Data Documentation

TYPE TAO_ServerRequestInterceptor_List::interceptors_`[private]`

| Dynamic array of registered server request interceptors.

The documentation for this class was generated from the following files:

- Interceptor_List.h
- Interceptor_List.cpp